#!/usr/bin/make -f

export PYBUILD_NAME=sipbuild

%:
	dh $@ --with python3 --buildsystem=pybuild

code_generator/lexer.c: code_generator/metasrc/lexer.l
	flex --outfile=$@ $<

code_generator/parser.c: code_generator/metasrc/parser.y
	bison --yacc --defines --output=$@ $<

override_dh_auto_configure: code_generator/lexer.c code_generator/parser.c
	dh_auto_configure

execute_after_dh_auto_install:
	mkdir -p debian/sip5-tools/usr
	mv debian/python3-sipbuild/usr/bin debian/sip5-tools/usr/bin
	rm -rfv debian/python3-sipbuild-dbg/usr/bin
	rm -rfv debian/python3-sipbuild-dbg/usr/lib/python3.*/dist-packages/sipbuild/module

override_dh_install-indep:
	python3 -m sphinx doc debian/sip5-doc/usr/share/doc/sip5-doc/html

override_dh_strip:
	dh_strip --dbg-package=python3-sipbuild-dbg
